import fs from 'fs';
import path from 'path';
import { program } from 'commander';

export const root = process.cwd();

export const clearWorkspace = () => {
  const files = ['submodules', 'packages', 'pnpm-workspace.yaml', 'turbo.json'];
  for (const file of files) {
    fs.rmSync(path.join(root, file), { recursive: true, force: true });
  }
};

// clearWorkspace();
program.option('-c, --clear', 'clear workspace').action((opts) => {
  if (opts.clear) {
    clearWorkspace();
  }
});
program.parse(process.argv);
