import { proxyRoute, initProxy } from '@kevisual/local-proxy/proxy.ts';
initProxy({
  pagesDir: './pages',
  watch: true,
  home: '/root/tickets',
});
import { app } from './app.ts';

import './routes/ticket/list.ts';

app.listen(3004, () => {
  console.log('Server is running on http://localhost:3004');
});

app.onServerRequest(proxyRoute);
