import { mockTickets } from './../routes/ticket/mock/data.ts';

import { TicketModel } from '@/routes/ticket/model.ts';

export const main = async () => {
  // Clear existing data
  // await TicketModel.destroy({ where: {}, truncate: true });

  // Insert mock tickets
  for (const ticket of mockTickets) {
    delete ticket.id; // Remove id to let Sequelize generate it
    await TicketModel.create(ticket);
  }

  console.log('Mock tickets inserted successfully.');
};

main()